Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface GeometryType

All Superinterfaces:
  AttributeType, PropertyType

    public interface GeometryType

extends AttributeType

Represents (explicitly) the binding of an AttributeType to Geometry information.

Method Summary
`Class<?>` | `getBinding()` The Geometry type represented.
`CoordinateReferenceSystem` | `getCRS()` The coordinate reference system of the Geometries contained by attributes of this type.
`AttributeType` | `getSuper()` If there is a superclass it better also be a Geometry

Methods inherited from interface AttributeType
`getOperations, getRestrictions, isAbstract, isIdentified`

Methods inherited from interface PropertyType
`equals, getDescription, getName, getUserData, hashCode, putUserData`

Method Detail

### getBinding

    Class<?> getBinding()

  The Geometry type represented.

  The class indicated here may be specified using generics, while the geoapi Geometry interface is common, JTS Geometry and plain old Java2D Shape may also be pressed into service.

  Specified by:
    `getBinding` in interface `AttributeType`
  Returns:
    Geometry binding

### getSuper

    AttributeType getSuper()

  If there is a superclass it better also be a Geometry

  Specified by:
    `getSuper` in interface `AttributeType`
  Specified by:
    `getSuper` in interface `PropertyType`
  Returns:
    AttributeType of supertype

### getCRS

    CoordinateReferenceSystem getCRS()

  The coordinate reference system of the Geometries contained by attributes of this type.

  Note: when using GeoAPI Geometry (where CRS is XPathable) we can define this restriction as a Facet (indeed we can allow for a discrete set of allowable CRS).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.